<!DOCTYPE html>
<html>
<head>
    <style>

      /* Style the tab */
.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

/* Style the buttons that are used to open the tab content */
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
  display: none;
  padding: 6px 12px;
  border: 1px solid #ccc;
  border-top: none;
}

.slidecontainer {
  width: 100%;
}

.slider {
  -webkit-appearance: none;
  width: 50%;
  height: 25px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  background: #04AA6D;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  background: #04AA6D;
  cursor: pointer;
}

#calculation {
  font-size: 22px;
  padding: 50px;
}
</style>

</head>
<body>

<h1>Secondary Ports</h1>

<div class="tab">
  <button class="tablinks" onclick="openCalc(event, 'Time')">Time</button>
  <button class="tablinks" onclick="openCalc(event, 'Height')">Heights</button>
</div>

<div id="Time" class="tabcontent">

<form method="post" id="sp">

<label>Time</label>
<input style="width: 30px;" id="HighWaterEarlyTimeHours" maxlength="2" name="HighWaterEarlyTimeHours" onChange="showHideRange()"/>:<input id="HighWaterEarlyTimeMins" style="width: 30px;" maxlength="2" name="HighWaterEarlyTimeMins" onChange="showHideRange()"/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input id="HighWaterLateTimeHours" style="width: 30px;" maxlength="2" name="HighWaterLateTimeHours" onChange="showHideRange()"/>:<input id="HighWaterLateTimeMins"  style="width: 30px;" maxlength="2" name="HighWaterLateTimeMins" onChange="showHideRange()"/>

<br /><br />


<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<div class="slidecontainer">
  <input type="range" min="1" max="1440" value="0" class="slider" id="range" onchange="updateSlider()">
  <h3 id="timeslidercalc">
    <span id="hours"></span>:<span id="minutes"></span>
   </h3>
</div>

<br /><br />

<label id="AdjustmentLabel">Adjustment</label>
<input id="LowAdjustment" name="LowAdjustment" onChange="tryCalc()" />
<input id="HighAdjustment" name="HighAdjustment" onChange="tryCalc()" />

<br /><br />

<output id="calculation"></output>

<br /><br />

<input type="button" value="Reset" onClick="document.getElementById('sp').reset()" />


</form>

<script type="text/javascript"> 
  function showHideRange() {
    
      if ((document.getElementById('HighWaterEarlyTimeHours').value) 
      && (document.getElementById('HighWaterEarlyTimeMins').value) 
      && (document.getElementById('HighWaterLateTimeHours').value) 
      && (document.getElementById('HighWaterLateTimeMins').value))  {
  
        document.getElementById("range").value = document.getElementById('HighWaterEarlyTimeHours').value + document.getElementById('HighWaterEarlyTimeMins').value;
  
        updateSlider();
        
  
        if ((Number(document.getElementById('HighWaterEarlyTimeHours').value) > (Number(document.getElementById('HighWaterLateTimeHours').value))))  {
  
          //set the range to the inverse
        var earlyTime = document.getElementById("HighWaterEarlyTimeHours").value + document.getElementById('HighWaterEarlyTimeMins').value;
        var earlyTimeNumber = Number(earlyTime)
  
        //set the range to the higher time
        var laterTime = document.getElementById("HighWaterLateTimeHours").value + document.getElementById('HighWaterLateTimeMins').value;
        var laterTimeNumber = Number(laterTime)
        document.getElementById("range").max = earlyTimeNumber;
        document.getElementById("range").min = laterTimeNumber;
        document.getElementById("range").value = earlyTimeNumber;
        document.getElementById('range').style.visibility = 'visible';
        document.getElementById('LowAdjustment').style.visibility = 'visible';
        document.getElementById('HighAdjustment').style.visibility = 'visible';
        document.getElementById('AdjustmentLabel').style.visibility = 'visible';
        document.getElementById('timeslidercalc').style.visibility = 'visible';
  
        } else {
  
          //set the range to the lower time
          var earlyTime = document.getElementById("HighWaterEarlyTimeHours").value + document.getElementById('HighWaterEarlyTimeMins').value;
          var earlyTimeNumber = Number(earlyTime)
          document.getElementById("range").min = earlyTimeNumber;
  
          //set the range to the higher time
          var laterTime = document.getElementById("HighWaterLateTimeHours").value + document.getElementById('HighWaterLateTimeMins').value;
          var laterTimeNumber = Number(laterTime)
          document.getElementById("range").max = laterTimeNumber;
  
          document.getElementById("range").value = earlyTimeNumber;
          console.log("setting range value", earlyTimeNumber);
  
          document.getElementById('range').style.visibility = 'visible';
          document.getElementById('LowAdjustment').style.visibility = 'visible';
          document.getElementById('HighAdjustment').style.visibility = 'visible';
          document.getElementById('AdjustmentLabel').style.visibility = 'visible';
          document.getElementById('hours').style.visibility = 'visible';
          document.getElementById('minutes').style.visibility = 'visible';
          document.getElementById('timeslidercalc').style.visibility = 'visible';
      } 
    } else {
        document.getElementById('range').style.visibility = 'hidden';
        document.getElementById('LowAdjustment').style.visibility = 'hidden';
        document.getElementById('HighAdjustment').style.visibility = 'hidden';
        document.getElementById('AdjustmentLabel').style.visibility = 'hidden';
        document.getElementById('hours').style.visibility = 'hidden';
        document.getElementById('minutes').style.visibility = 'hidden';
        document.getElementById('timeslidercalc').style.visibility = 'hidden';
        
    }
  }
  function tryCalc() {
     
      if (
        (document.getElementById('HighWaterEarlyTimeHours').value) 
        && 
        (document.getElementById('HighWaterEarlyTimeMins').value)
        && 
        (document.getElementById('HighWaterLateTimeHours').value) 
        && 
        (document.getElementById('HighWaterLateTimeMins').value)
        && 
        (document.getElementById('LowAdjustment').value) 
        && 
        (document.getElementById('HighAdjustment').value) 
      )  {
  
        console.log("X - Range", document.getElementById('range').value);
        console.log("X1 - Early time", document.getElementById('HighWaterEarlyTimeHours').value + document.getElementById('HighWaterEarlyTimeMins').value);
        console.log("Y2 - adj high", document.getElementById('HighAdjustment').value);
        console.log("Y1 - adj low", document.getElementById('LowAdjustment').value);
        console.log("X2 - Late time",document.getElementById('HighWaterLateTimeHours').value + document.getElementById('HighWaterLateTimeMins').value);
  
  
  
        //Interpolation: Y = ( ( X - X1 )( Y2 - Y1) / ( X2 - X1) ) + Y1
  
        //( X - X1 )
        var earlyConcat = document.getElementById('HighWaterEarlyTimeHours').value+document.getElementById('HighWaterEarlyTimeMins').value;
        var hoursMinsRange = $("#hours")[0].innerHTML+$("#minutes")[0].innerHTML;

        var firstCalc = hoursMinsRange-earlyConcat;
        console.log("231?", firstCalc);
        //( Y2 - Y1)
        var secCalc = document.getElementById('HighAdjustment').value-document.getElementById('LowAdjustment').value;
        console.log("10?", secCalc);
        //( X - X1 )( Y2 - Y1)
        var firstPartCalc = firstCalc*secCalc;
        console.log("2310?", firstPartCalc);
        //( X2 - X1) ) 
        console.log("X2?", Number(document.getElementById('HighWaterLateTimeHours').value+document.getElementById('HighWaterLateTimeMins').value));
        console.log("X1?", document.getElementById('HighWaterEarlyTimeHours').value+document.getElementById('HighWaterEarlyTimeMins').value);
        var laterTimeHM = Number(document.getElementById('HighWaterLateTimeHours').value+document.getElementById('HighWaterLateTimeMins').value);
        var earlierTimeHM = Number(document.getElementById('HighWaterEarlyTimeHours').value+document.getElementById('HighWaterEarlyTimeMins').value);
        var thirdCalc = laterTimeHM-earlierTimeHM;

        console.log("600?", thirdCalc);
        //( X - X1 )( Y2 - Y1) / ( X2 - X1)
        var secPartCalc = firstPartCalc/thirdCalc;
        console.log("3.85?", secPartCalc);
        //All+Y1
        var totalCalc = Number(document.getElementById('LowAdjustment').value)+secPartCalc;
        console.log("40?", Number(document.getElementById('LowAdjustment').value));
        console.log("3.85?", typeof(secPartCalc));
        console.log("43.85?", totalCalc);
      
  
        var re = new RegExp('^-?\\d+(?:\.\\d{0,' + (2 || -1) + '})?');
        var truncated = totalCalc.toString().match(re)[0];
        document.getElementById('calculation').value = truncated;
  
  
  /*
        if (adjcalc>0) {
          document.getElementById('calculation').value = calulation.toString().match(re)[0]*adjcalc;
        } else {
          document.getElementById('calculation').value = calulation.toString().match(re)[0];
        }*/
  }
  }
  showHideRange();
  </script>
<script>
  function updateSlider(){
    var slider = document.getElementById("range");
    
    console.log("check1", slider.value.length);

    if (slider.value.length == 3) {
      var hours = slider.value.slice(0, 1);
    } else {
      var hours = slider.value.slice(0, 2);
    }


    console.log("hours", hours);
    var minutes = slider.value % 60;
    var minuteOutput = $("#minutes")[0];
    var hourOutput = $("#hours")[0];
    hourOutput.innerHTML = hours;
    minuteOutput.innerHTML = minutes;
    tryCalc();
}

updateSlider();

</script>

</div>
<div id="Height" class="tabcontent">
  <label>Height</label>
  <form method="post" id="heightsp"></form>
<input id="LowHeight" name="LowHeight" onChange="showHideHeightRange()"/>
<input id="HighHeight" name="HighHeight" onChange="showHideHeightRange()"/>

<br /><br />


<input type="range" min="1" max="100" step="1" class="slider" id="heightrange" onChange="tryHeightCalc()" oninput="this.nextElementSibling.value = this.value">
<output></output>

<br /><br />

<label id="HeightAdjustmentLabel">Adjustment</label>
<input id="LowHeightAdjustment" name="LowHeightAdjustment" onChange="tryHeightCalc()" />
<input id="HighHeightAdjustment" name="HighHeightAdjustment" onChange="tryHeightCalc()" />

<br /><br />

<output id="heightcalculation"></output>

<br /><br />

<input type="button" value="Reset" onClick="document.getElementById('heightsp').reset()" />


</form>
<script type="text/javascript"> 
function showHideHeightRange() {
   console.log(document.getElementById('LowHeight').value)
    if ((document.getElementById('HighHeight').value) && (document.getElementById('HighHeight').value))  {

      console.log(Number(document.getElementById('LowHeight').value));
      console.log(Number(document.getElementById('HighHeight').value));
      console.log((Number(document.getElementById('LowHeight').value) > (Number(document.getElementById('HighHeight').value))));
      if ((Number(document.getElementById('LowHeight').value) > (Number(document.getElementById('HighHeight').value))))  {

        //set the range to the inverse
      var earlyTime = document.getElementById("LowHeight").value;
      var earlyTimeNumber = Number(earlyTime)

      //set the range to the higher time
      var laterTime = document.getElementById("HighHeight").value;
      var laterTimeNumber = Number(laterTime)
      document.getElementById("heightrange").max = earlyTimeNumber;
      document.getElementById("heightrange").min = laterTimeNumber;

      document.getElementById('heightrange').style.visibility = 'visible';
      document.getElementById('LowHeightAdjustment').style.visibility = 'visible';
      document.getElementById('HighHeightAdjustment').style.visibility = 'visible';
      document.getElementById('HeightAdjustmentLabel').style.visibility = 'visible';

      } else {

        //set the range to the lower time
        var earlyTime = document.getElementById("LowHeight").value;
        var earlyTimeNumber = Number(earlyTime)
        document.getElementById("range").min = earlyTimeNumber;

        //set the range to the higher time
        var laterTime = document.getElementById("HighHeight").value;
        var laterTimeNumber = Number(laterTime)
        document.getElementById("range").max = laterTimeNumber;

        document.getElementById('heightrange').style.visibility = 'visible';
        document.getElementById('LowHeightAdjustment').style.visibility = 'visible';
        document.getElementById('HighHeightAdjustment').style.visibility = 'visible';
        document.getElementById('HeightAdjustmentLabel').style.visibility = 'visible';
    } 
  } else {
      document.getElementById('heightrange').style.visibility = 'hidden';
      document.getElementById('LowHeightAdjustment').style.visibility = 'hidden';
      document.getElementById('HighHeightAdjustment').style.visibility = 'hidden';
      document.getElementById('HeightAdjustmentLabel').style.visibility = 'hidden';
  }
}
function tryHeightCalc() {
   
    if (
      (document.getElementById('LowHeight').value) 
      && 
      (document.getElementById('HighHeight').value)
      && 
      (document.getElementById('LowHeightAdjustment').value) 
      && 
      (document.getElementById('HighHeightAdjustment').value) 
    )  {

      console.log("X - Range", document.getElementById('heightrange').value);
      console.log("X1 - Early time", document.getElementById('LowHeight').value);
      console.log("Y2 - adj high", document.getElementById('HighHeightAdjustment').value);
      console.log("Y1 - adj low", document.getElementById('LowHeightAdjustment').value);
      console.log("X2 - Late time", document.getElementById('HighHeight').value);



      //Interpolation: Y = ( ( X - X1 )( Y2 - Y1) / ( X2 - X1) ) + Y1

      //( X - X1 )
      var firstCalc = document.getElementById('heightrange').value-document.getElementById('LowHeight').value;
      console.log("231?", firstCalc);
      //( Y2 - Y1)
      var secCalc = document.getElementById('HighHeightAdjustment').value-document.getElementById('LowHeightAdjustment').value;
      console.log("10?", secCalc);
      //( X - X1 )( Y2 - Y1)
      var firstPartCalc = firstCalc*secCalc;
      console.log("2310?", firstPartCalc);
      //( X2 - X1) ) 
      var thirdCalc = document.getElementById('HighHeight').value-document.getElementById('LowHeight').value;
      console.log("600?", thirdCalc);
      //( X - X1 )( Y2 - Y1) / ( X2 - X1)
      var secPartCalc = firstPartCalc/thirdCalc;
      console.log("3.85?", secPartCalc);
      //All+Y1
      var totalCalc = Number(document.getElementById('LowHeightAdjustment').value)+secPartCalc;
      console.log("40?", Number(document.getElementById('LowHeightAdjustment').value));
      console.log("3.85?", typeof(secPartCalc));
      console.log("43.85?", totalCalc);
    

      var re = new RegExp('^-?\\d+(?:\.\\d{0,' + (2 || -1) + '})?');
      var truncated = totalCalc.toString().match(re)[0];
      document.getElementById('heightcalculation').value = truncated;


/*
      if (adjcalc>0) {
        document.getElementById('calculation').value = calulation.toString().match(re)[0]*adjcalc;
      } else {
        document.getElementById('calculation').value = calulation.toString().match(re)[0];
      }*/
}
}
showHideHeightRange();
</script>
</div>
<script>
  function openCalc(evt, cityName) {
  // Declare all variables
  var i, tabcontent, tablinks;

  // Get all elements with class="tabcontent" and hide them
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }

  // Get all elements with class="tablinks" and remove the class "active"
  tablinks = document.getElementsByClassName("tablinks");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }

  // Show the current tab, and add an "active" class to the button that opened the tab
  document.getElementById(cityName).style.display = "block";
  evt.currentTarget.className += " active";
}
</script>
</body>
</html>